public static final class UpdateGatewayRouteAuthResponseBody.Builder extends Object
| 限定符和类型 | 方法和说明 |
|---|---|
UpdateGatewayRouteAuthResponseBody |
build() |
UpdateGatewayRouteAuthResponseBody.Builder |
code(Integer code)
The response code.
|
UpdateGatewayRouteAuthResponseBody.Builder |
data(Long data)
The route ID.
|
UpdateGatewayRouteAuthResponseBody.Builder |
dynamicCode(String dynamicCode)
The dynamic part in the error message.
|
UpdateGatewayRouteAuthResponseBody.Builder |
dynamicMessage(String dynamicMessage)
The dynamic part in the error message.
|
UpdateGatewayRouteAuthResponseBody.Builder |
errorCode(String errorCode)
The error code returned if the request failed.
|
UpdateGatewayRouteAuthResponseBody.Builder |
httpStatusCode(Integer httpStatusCode)
The HTTP status code.
|
UpdateGatewayRouteAuthResponseBody.Builder |
message(String message)
The returned message.
|
UpdateGatewayRouteAuthResponseBody.Builder |
requestId(String requestId)
The request ID.
|
UpdateGatewayRouteAuthResponseBody.Builder |
success(Boolean success)
Indicates whether the request was successful.
|
public UpdateGatewayRouteAuthResponseBody.Builder code(Integer code)
The response code. The status code 200 indicates that the request was successful.
example:200
public UpdateGatewayRouteAuthResponseBody.Builder data(Long data)
The route ID.
example:123
public UpdateGatewayRouteAuthResponseBody.Builder dynamicCode(String dynamicCode)
The dynamic part in the error message.
example:code
public UpdateGatewayRouteAuthResponseBody.Builder dynamicMessage(String dynamicMessage)
The dynamic part in the error message. This parameter is used to replace the **%s** variable in the ErrMessage parameter.
example:If the return value of the ErrMessage parameter is The Value of Input Parameter %s is not valid and the return value of the DynamicMessage parameter is DtsJobId, the specified DtsJobId parameter is invalid.
The specified parameter is invalid.
public UpdateGatewayRouteAuthResponseBody.Builder errorCode(String errorCode)
The error code returned if the request failed.
example:mse-100-000
public UpdateGatewayRouteAuthResponseBody.Builder httpStatusCode(Integer httpStatusCode)
The HTTP status code.
example:200
public UpdateGatewayRouteAuthResponseBody.Builder message(String message)
The returned message.
example:The request is successfully processed.
public UpdateGatewayRouteAuthResponseBody.Builder requestId(String requestId)
The request ID.
example:54973C90-F379-4372-9AA5-053A3F7****
public UpdateGatewayRouteAuthResponseBody.Builder success(Boolean success)
Indicates whether the request was successful. Valid values:
truefalsetrue
public UpdateGatewayRouteAuthResponseBody build()
Copyright © 2026. All rights reserved.